gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Layout.StackSwitcher

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A widget which controls the alignment and size of its child

Synopsis

- data StackSwitcher
- castToStackSwitcher :: GObjectClass obj => obj -> StackSwitcher
- gTypeStackSwitcher :: GType
- toStackSwitcher :: StackSwitcherClass o => o -> StackSwitcher
- stackSwitcherNew :: IO StackSwitcher
- stackSwitcherSetStack :: (StackSwitcherClass self, StackClass stack) => self -> stack -> IO ()
- stackSwitcherGetStack :: StackSwitcherClass self => self -> IO (Maybe Stack)
- stackSwitcherIconSize :: StackSwitcherClass self => Attr self Int
- stackSwitcherStack :: (StackSwitcherClass self, StackClass stack) => ReadWriteAttr self (Maybe Stack) (Maybe stack)

# Detail

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----StackSwitcher

# Types

data StackSwitcher Source #

#### Instances

Instances details

Eq StackSwitcher Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: StackSwitcher -> StackSwitcher -> Bool Source # (/=) :: StackSwitcher -> StackSwitcher -> Bool Source #
Ord StackSwitcher Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: StackSwitcher -> StackSwitcher -> Ordering Source #

(<) :: StackSwitcher -> StackSwitcher -> Bool Source #

(<=) :: StackSwitcher -> StackSwitcher -> Bool Source #

(>) :: StackSwitcher -> StackSwitcher -> Bool Source #

(>=) :: StackSwitcher -> StackSwitcher -> Bool Source #

max :: StackSwitcher -> StackSwitcher -> StackSwitcher Source #

min :: StackSwitcher -> StackSwitcher -> StackSwitcher Source #

GObjectClass StackSwitcher Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: StackSwitcher -> GObject Source # unsafeCastGObject :: GObject -> StackSwitcher Source #
BinClass StackSwitcher Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass StackSwitcher Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass StackSwitcher Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToStackSwitcher :: GObjectClass obj => obj -> StackSwitcher Source #

gTypeStackSwitcher :: GType Source #

toStackSwitcher :: StackSwitcherClass o => o -> StackSwitcher Source #

# Constructors

stackSwitcherNew :: IO StackSwitcher Source #

Creates a new `StackSwitcher`.

# Methods

stackSwitcherSetStack :: (StackSwitcherClass self, StackClass stack) => self -> stack -> IO () Source #

Sets the stack to control.

stackSwitcherGetStack :: StackSwitcherClass self => self -> IO (Maybe Stack) Source #

Retrieves the stack.

# Attributes

stackSwitcherIconSize :: StackSwitcherClass self => Attr self Int Source #

Use the "icon-size" property to change the size of the image displayed when a GtkStackSwitcher is displaying icons.

Default value: `1`

stackSwitcherStack :: (StackSwitcherClass self, StackClass stack) => ReadWriteAttr self (Maybe Stack) (Maybe stack) Source #

The `Stack` controlled by this `StackSwitcher`.